package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.AgentService;
import com.bocloud.cms.model.AgentInstallParams;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequiredArgsConstructor
@RestController
@Tag(name = "Agent")
@RequestMapping("/v1/agent")
public class AgentController {

    private final AgentService agentService;

    @PostMapping
    @Operation(summary = "Agent安装")
    public GeneralResult<?> install(@RequestBody AgentInstallParams taskInstallParams,
                                    @Value(Common.REQ_CONTEXT) RequestContext context) throws Exception {
        return agentService.install(taskInstallParams, context);
    }

}