package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.CcsService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 配置中心监控
 *
 * @author zhangdi
 * @since July 10,2020
 */

@RestController
@Tag(name = "配置中心监控")
@RequestMapping("/v1/ccs")
public class CcsController {

    @Autowired
    private CcsService ccsService;

    /**
     * 配置中心列表
     *
     * @param pager   分页参数
     * @param catalog 标识
     * @param context 用户上下文
     * @param request 请求request
     * @return 数据列表
     */
    @GetMapping
    @Operation(summary = "配置中心列表")
    public GeneralResult list(Pager pager, String catalog, @Value(Common.REQ_CONTEXT) RequestContext context, HttpServletRequest request) {
        return ccsService.list(pager, catalog, context, request);
    }
}
