package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.CephService;
import com.megatron.common.model.GeneralResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * ceph监控
 *
 * @author zhangyf
 * @since 2019-11-26
 */
@RestController
@Tag(name = "ceph监控")
@RequestMapping("/v1/ceph")
public class CephController {
    @Autowired
    private CephService cephService;


    /**
     * ceph osd统计信息
     *
     * @return 数据统计分析
     */
    @GetMapping("/stats")
    @Operation(summary = "ceph监控")
    public GeneralResult stats() {
        return new GeneralResult<>(true, cephService.stats(), "success");
    }
}
