package com.bocloud.cms.booter.controller;

import com.alibaba.fastjson.JSONArray;
import com.bocloud.cms.intf.QueryService;
import com.megatron.common.model.GeneralResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 监控图表
 *
 * @author zhangdi
 * @since June 12,2019
 */

@RestController
@Tag(name = "监控图表")
@RequestMapping("/v1/charts")
public class ChartController {

    @Autowired
    private QueryService queryService;

    /**
     * 监控图表
     *
     * @param expr  查询表达式
     * @param name  名称
     * @param start 开始时间
     * @param end   结束时间
     * @param unit  间隔时长
     * @return 数据图表渲染数据
     */
    @GetMapping
    @Operation(summary = "监控图表")
    public GeneralResult chart(@RequestParam(value = "expr", required = false) String expr,
                               @RequestParam(value = "name", required = false) String name,
                               @RequestParam(value = "start", required = false) String start,
                               @RequestParam(value = "end", required = false) String end,
                               @RequestParam(value = "unit", required = false) String unit) {
        List<String> exprs = JSONArray.parseArray(expr, String.class);
        List<String> names = JSONArray.parseArray(name, String.class);
        return new GeneralResult<>(true, queryService.chart(exprs, names, start, end, "60", unit), "success");
    }
}
