package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.FusionComputeService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * FusionCompute监控
 *
 * @author fanzhenxi
 * @version 1.0
 * @date 2022/4/18 18:09
 */
@Tag(name = "FusionCompute监控")
@RestController
@RequestMapping("/v1/fusioncompute")
public class FusionComputeController {

    @Autowired
    FusionComputeService fusionComputeService;

    /**
     * 查询所有FusionCompute虚拟机列表信息
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request 请求request
     * @return 云主机列表
     */
    @GetMapping("/vms")
    @Operation(summary = "FusionCompute监控")
    public GeneralResult listOfVm(Pager pager, @Value(Common.REQ_CONTEXT) RequestContext context, HttpServletRequest request) {
        return fusionComputeService.listOfVm(pager, context, request);
    }
}
