package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.VmService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@Tag(name = "裸金属监控")
@RestController
@RequestMapping("/v1/bms/manager")
public class ManagerBmsController {


    @Autowired
    private VmService vmService;


    @GetMapping
    @Operation(summary = "云主机列表")
    public GeneralResult list(Pager pager, @Value(Common.REQ_CONTEXT) RequestContext context, HttpServletRequest request) {
        return vmService.listManagerBms(pager, context, request);
    }

}
