package com.bocloud.cms.booter.controller;

import com.bocloud.cms.intf.ResourceStatisticsService;
import com.megatron.common.model.GeneralResult;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 资源统计
 */
@Tag(name = "资源统计")
@RestController
@RequestMapping("/v1/resource/statistics")
public class ResourceStatisticsController {

    @Autowired
    private ResourceStatisticsService resourceStatisticsService;

    /**
     * 站点资源使用率
     *
     * @param type 类型
     * @return 使用率数据
     */
    @GetMapping("/usage")
    @Operation(summary = "站点资源使用率")
    public GeneralResult usage(@RequestParam("type") String type) {
        return resourceStatisticsService.usage(type);
    }


}
