package com.bocloud.cms.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.*;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * AnalysisSnapshot实体类
 * @author fanzhenxi
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.6.0
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table("monitor_analysis_snapshot")
public class AnalysisSnapshot extends Generic {

    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 规则
     */
    @Column("rule")
    private String rule;
    /**
     * 规则id
     */
    @Column("rule_id")
    private Long ruleId;
    /**
     * 创建时间
     */
    @Column("gmt_create")
    @IgnoreUpdate
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    /**
     * 修改时间
     */
    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;
    /**
     * 创建者id
     */
    @IgnoreUpdate
    @Column("creator_id")
    private Long creatorId;
    /**
     * 分析结果
     */
    @Column("result")
    private String result;
    /**
     * 是否删除
     */
    @Column("is_deleted")
    private Boolean deleted;
    /**
     * 开始时间
     */
    @Column("start_time")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 结束时间
     */
    @Column("end_time")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 平台id
     */
    @Column("vendor_id")
    private Long vendorId;
    /**
     * 类型
     */
    @IgnoreAll
    private String type;
    /**
     * 规则名称
     */
    @IgnoreAll
    private String ruleName;
    /**
     * vendorName
     */
    @IgnoreAll
    private String vendorName;

}
