package com.bocloud.cms.entity;

import com.bocloud.cms.utils.JsonToStringDeserializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 监控分析实体类
 *
 * @author zhangdi
 * @since Aug 15,2019
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table("monitor_analysis_rule")
public class MonitorAnalysisRule extends Generic {

    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 阈值名称
     */
    @Column("name")
    private String name;
    /**
     * 创建时间
     */
    @Column("gmt_create")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    /**
     * 修改时间
     */
    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;
    /**
     * 创建者id
     */
    @Column("creator_id")
    private Long creatorId;
    /**
     * 修改者id
     */
    @Column("mender_id")
    private Long menderId;
    /**
     * 资源类别
     */
    @Column("type")
    private String type;
    /**
     * 规则
     */
    @JsonDeserialize(using = JsonToStringDeserializer.class)
    @Column("rules")
    private String rules;
    /**
     * 是否删除
     */
    @Column("is_deleted")
    private Boolean deleted;

}
