package com.bocloud.cms.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 云平台监控运维认证信息
 *
 * @author liuyuanyuan
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("monitor_auth")
public class MonitorAuth extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 地址
     */
    @Column("address")
    private String address;
    /**
     * 用户名
     */
    @Column("username")
    private String username;
    /**
     * 密码
     */
    @Column("password")
    private String password;
    /**
     * 云平台ID
     */
    @Column("vendor_id")
    private Long vendorId;

}
