package com.bocloud.dms.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 块设备实体类
 *
 * @author dongkai
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class Bucket extends GenericEntity {

    /**
     * ID
     */
    private Long id;
    /**
     * 云供应商ID
     */
    private Long vendorId;
    /**
     * 云供应商名称
     */
    @IgnoreAll
    private String vendorName;
    /**
     * 镜像所在区域
     */
    private Long region;
    /**
     * 镜像所在区域名称
     */
    @IgnoreAll
    private String regionName;
    /**
     * 空间
     */
    private Double space;
    /**
     * 位置
     */
    private String location;
    /**
     * 权限
     */
    private Boolean acl;
    /**
     * 过期时间
     */
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expiredTime;
    @JsonSerialize(using = DateSerializer.class)
    @com.fasterxml.jackson.databind.annotation.JsonDeserialize(using = com.megatron.common.utils.DateDeserializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private String regionId;
    private String actualName;
    /**
     * 租户ID
     */
    private Long tenantId;
    /**
     * 对象用户ID
     */
    private Long userId;
    /**
     * 下载流量
     */
    private Long traffics;
    private String bucketAcl;
    private Long bucketUuid;
    private Long objectUserId;
    private Long objectUserUuid;
    private String objectUserName;
    private Long quotaMaxObjects;
    private Long quotaMaxSize;
    private Long nfsClientNum;
    private String ownerPermission;
    private Long shards;
    private Long allocatedObjects;
    private Long allocatedSize;
    /**
     * 写保护
     */
    private Boolean worm;
    /**
     * 多版本
     */
    private Boolean versioned;

    private String spaceUsed;
    private int objectCount;
    private Boolean expired;
    private Long monthTraffic;

}
