package com.bocloud.dms.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 对象用户
 *
 * @author weiwei
 */
@EqualsAndHashCode(callSuper = false)
@Data
public class ObjectRouter extends GenericEntity {

    /**
     * ID
     */
    private Long id;
    /**
     * 云供应商ID
     */
    private Long vendorId;
    /**
     * 租户ID
     */
    private Long tenantId;
    private String uuid;

    private Long objectRouterId;
    private String objectRouterName;
    private String ip;
    private Long port;
    private Long httpsPort;
    private String interfaceName;
    private String vip;
    private Long vipMask;
    private String vips;

    private String hostAdminIp;
    private Long hostId;
    private String hostName;
    private String groupName;
    private Long groupId;
    /**
     * 过期时间
     */
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expiredTime;


}
