package com.bocloud.ims.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.DaySerializer;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.bean.GenericEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@NoArgsConstructor
@Data
public class BareMetalInfo  extends GenericEntity {

    private Long id;// ID
    private Integer cpu;
    private Integer memory;
    private Integer disk;
    private Date created;
    private String flavorId;
    private String hostId;
    private String uuid;
    private String imageUuid;
    private String links;
    private String metadata;
    private Integer progress;
    private String originTenantId;
    private Date updated;
    private String userId;
    private String ipAddress;

    private Long vendorId; // 平台id
    private Long tenantId;
    private Long projectId;

    @JsonSerialize(using = DaySerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expiredTime;// 过期时间
    private RequestContext.Catalog catalog;// 账号类别
    private Long businessId;
    private String regionId;// 区域ID
    private String zone; // 区域

    private String instanceId; // 区域

    private BigDecimal cpuUsageUser;
    private BigDecimal memUsedPercent;

    @IgnoreAll
    private String vendorName; // 云供应商名称
    @IgnoreAll
    private String regionName; // 供应商区域名称
    @IgnoreAll
    private String flavorName; // 供应商区域名称
    @IgnoreAll
    private String tenantName;// 所属租户
    @IgnoreAll
    private String zoneName;
    @IgnoreAll
    private String projectName;
    @IgnoreAll
    private String osCategory;// 系统名称
    @IgnoreAll
    private String osName;// 系统名称
    @IgnoreAll
    private String imageName;

    /**
     * 云主机 是否开启告警状态
     */
    private Boolean alarmEnable;
    private String cpuUsage;
    private String memUsage;



}
