package com.bocloud.ims.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 数据存储实体类
 *
 * @author dmw
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class DataStore extends GenericEntity {

    /**
     * id
     */
    private Long id;
    /**
     * 云供应商ID
     */
    private Long vendorId;
    /**
     * 云供应商名称
     */
    private String vendorName;
    /**
     * 过期时间
     */
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtExpired;
    private Long capacity;
    private Long freeSpace;
    private Long vdcId;
    /**
     * 物理主机唯一标识
     */
    private Long serverId;
    private String type;
    private String path;
    private Integer hostNum;
    /**
     * 存储管理的云主机数量
     */
    private Integer vmNum;
    /**
     * 存储未管理的云主机数量
     */
    private Integer vmNumUm;
    /**
     * 存储下的模板数量
     */
    private Integer templateNum;
    /**
     * 存储value
     */
    private String storeVal;

    /**
     * 是否为共享存储
     */
    private Boolean shared;
    /**
     * 指定主机ID
     */
    private Long hostId;
    private String accessMode;
    /**
     * 服务器
     */
    private String remoteHost;
    /**
     * 服务器文件夹路径
     */
    private String remotePath;
    private String scId;
    private String userName;
    private String password;
    private String remoteHostNames;
    /**
     * 全局唯一标识
     */
    private String guid;
    /**
     * 存储服务目录id
     */
    private Long catalogId;
    /**
     * 存储服务目录名称
     */
    private String catalogName;
    /**
     * 存储容量可分配百分比
     */
    private BigDecimal distributableRatio;
    /**
     * 标签
     */
    private String resourceLabel;
    /**
     * 存储可分配容量
     */
    private Integer distributable;
    /**
     * 数据中心名称
     */
    private String vdcName;
    /**
     * vCenter地址
     */
    private String address;
    /**
     * 存储使用率（单位%）
     * <p>
     * 数值取值范围[0,100]
     * </p>
     */
    private double usageRate;

}
