package com.bocloud.pms.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 消息队列服务
 *
 * @author weiwei
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Cms extends GenericEntity {

    /**
     * ID
     */
    @PK(PKStrategy.AUTO)
    private Long id;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 实例UUID
     */
    private String instanceId;
    /**
     * 类型
     */
    private String type;
    /**
     * 部署类型
     */
    private String category;
    /**
     * 版本
     */
    private String version;
    /**
     * 商品ID
     */
    private Long skuId;
    /**
     * 网络ID
     */
    private Long networkId;
    /**
     * 所属域
     */
    private String region;
    /**
     * 所属租户
     */
    private Long tenantId;
    private String inventory;
    /**
     * 类型ID
     */
    private Long categoryId;
    /**
     * 配置
     */
    private String spec;
    private String address;
    private String username;
    private String password;
    private String manageIp;
    private Integer topics;
    private String gmtCatalog;
    private Long taskId;
    private Long vendorId;
    private Long projectId;

    private List<CmsNode> nodes;

    private List<CmsUser> users;
    /**
     * 过期时间
     */
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expiredTime;

    private String categoryName;

    private Long diskSkuId;

    private Integer dataDisk;

    private String diskCategory;

    private List<Map<String, String>> connections;

    private String tenantName;


}
