package com.bocloud.cms.intf;

import com.bocloud.cms.entity.AnalysisSnapshot;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * @author zhangyf
 * @since 2019-08-15
 */
public interface AnalysisSnapshotService {

    /**
     * 列表展示
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 监控分析快照列表
     */
    GeneralResult<GridBean<AnalysisSnapshot>> list(Pager pager, RequestContext context);

    /**
     * 删除
     *
     * @param id     ID
     * @param userId 用户ID
     * @return 操作结果
     */
    GeneralResult<Void> remove(Long id, Long userId);

    /**
     * 详情展示
     *
     * @param id ID
     * @return 详情
     */
    GeneralResult<AnalysisSnapshot> detail(Long id);

}
