package com.bocloud.cms.intf;

import com.bocloud.cms.entity.MonitorAuth;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

import java.util.List;

/**
 * @author lyy
 * @version 5.5.0
 * @date 2022/2/21 18:01
 */
public interface AuthService {

    /**
     * 新增云平台认证信息
     *
     * @param monitorAuth 云平台认证信息
     * @param context     当前用户上下文
     * @param vendorId    云平台ID
     * @return 操作结果
     */
    GeneralResult<?> save(MonitorAuth monitorAuth, RequestContext context, Long vendorId);

    /**
     * 云平台认证信息详情查询
     *
     * @param vendorId 云平台ID
     * @return 云平台认证信息详情
     */
    MonitorAuth detail(Long vendorId);

    List<MonitorAuth> listFC();
}
