package com.bocloud.cms.intf;

import com.bocloud.pms.entity.Cms;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.model.SimpleBean;
import jakarta.servlet.http.HttpServletRequest;

import java.util.List;

/**
 * cmsService层
 *
 * @author zhangyf
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
public interface CmsService extends MonitoringAble<Cms> {

    /**
     * 资源被创建后初始化
     *
     * @param cms 消息队列
     * @throws Exception 软件安装完成后回调处理时产生的异常
     */
    void init(Cms cms) throws Exception;

    /**
     * 列表
     *
     * @param pager   分页
     * @param catalog 资源类型
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return 消息队列列表
     */
    GeneralResult<?> list(Pager pager, String catalog, RequestContext context, HttpServletRequest request);

    /**
     * kafka Topic集合
     *
     * @param id 消息队列ID
     * @return Topic集合
     */
    List<SimpleBean> topicsOfKafka(Long id);

    /**
     * kafka consumer Group集合
     *
     * @param id 消息队列ID
     * @return 消费组集合
     */
    List<SimpleBean> consumerGroupsOfKafka(Long id);

}
