package com.bocloud.cms.intf;

import com.bocloud.pms.entity.Kvs;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * Kvs key-value数据库监控
 *
 * @author zhangyf
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
public interface KvsService extends MonitoringAble<Kvs> {

    /**
     * 资源被创建后初始化
     *
     * @param kvs Kvs
     * @throws Exception 软件安装完成后回调处理时产生的异常
     */
    void init(Kvs kvs) throws Exception;

    /**
     * 列表
     *
     * @param pager   分页
     * @param catalog 资源类型
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return Kvs列表
     */
    GeneralResult list(Pager pager, String catalog, RequestContext context, HttpServletRequest request);

}
