package com.bocloud.cms.intf;

import com.bocloud.cms.entity.MonitorResourceType;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.model.Result;

import java.util.List;

/**
 * 告警配置资源类型
 *
 * @author fanzhenxi
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
public interface MonitorResourceTypeService {

    /**
     * 查询列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return monitorResourceType列表
     */
    GeneralResult<?> list(Pager pager, RequestContext context);

    /**
     * 添加
     *
     * @param monitorResourceType 资源类型实体类
     * @param context             当前用户上下文
     * @return 成功/失败
     */
    GeneralResult<?> create(MonitorResourceType monitorResourceType, RequestContext context);

    /**
     * 更新
     *
     * @param id                  ID
     * @param monitorResourceType 资源类型实体类
     * @param context             当前用户上下文
     * @return 更新 成功/失败
     */
    GeneralResult<?> modify(Long id, MonitorResourceType monitorResourceType, RequestContext context);

    /**
     * 移除
     *
     * @param id      资源类型id
     * @param context 当前用户上下文
     * @return 操作结果
     */
    GeneralResult<?> remove(Long id, RequestContext context);

    /**
     * 批量删除
     *
     * @param idList 资源类型id列表
     * @param target 用户ID
     * @return 成功/失败 个数
     */
    GeneralResult<?> batchRemove(List<Long> idList, Long target);

    /**
     * 资源类型绑定监控指标操作
     *
     * @param metricsIds     监控指标id列表
     * @param resourceType   监控资源类型
     * @param requestContext 当前用户上下文
     * @return 操作结果
     */
    Result bindingMetrics(List<Integer> metricsIds, String resourceType, RequestContext requestContext);
}
