package com.bocloud.cms.intf;

import com.bocloud.pms.entity.Rds;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * 关系型数据库监控
 *
 * @author zhazngyf
 * @since 2020-03-27
 */
public interface RdsService extends MonitoringAble<Rds> {

    /**
     * 资源被创建后初始化
     *
     * @param rds 关系型数据库
     * @throws Exception 软件安装完成后回调处理时产生的异常
     */
    void init(Rds rds) throws Exception;

    /**
     * RDS列表
     *
     * @param pager   分页
     * @param catalog 资源类型
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return RDS列表
     */
    GeneralResult<?> list(Pager pager, String catalog, RequestContext context, HttpServletRequest request);

}
