package com.bocloud.cms.intf;

import com.bocloud.cms.model.OpenStackService;
import com.bocloud.cms.model.OpenStackServiceModel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

import java.util.List;

/**
 * OpenStack服务Service层实现
 *
 * @author fanzx
 * @date 2021/09/18
 */
public interface ServiceService extends MonitoringAble<OpenStackService> {

    /**
     * openStackService 服务列表
     *
     * @param name     名称
     * @param status   状态
     * @param vendorId 云平台ID
     * @param context  当前用户上下文
     * @return 服务列表
     */
    GeneralResult<?> list(String name, String status, Long vendorId, RequestContext context);

    /**
     * 将所有的服务转换成为OpenStackServiceModel对象
     *
     * @return OpenStack服务列表
     */
    List<OpenStackServiceModel> listByGroupId();

}
