package com.bocloud.cms.intf;

import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * 存储Service层
 *
 * @author liuyuanyuan
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
public interface StorageService extends MonitoringAble<Object> {

    /**
     * 设备列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return 设备列表
     */
    GeneralResult<?> listDevices(Pager pager, RequestContext context, HttpServletRequest request);

    /**
     * 磁盘列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return 磁盘列表
     */
    GeneralResult<?> listDisks(Pager pager, RequestContext context, HttpServletRequest request);

    /**
     * 存储卷列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param action  Action
     * @param request HttpServletRequest
     * @return 存储卷列表
     */
    GeneralResult<?> listVolumes(Pager pager, RequestContext context, String action, HttpServletRequest request);
}
