package com.bocloud.cms.intf;

import com.bocloud.ims.entity.CloudVendor;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

/**
 * telegraf相关操作
 *
 * @author zhangyf
 * @since 2019-07-31
 */
public interface TelegrafService {

    /**
     * 生成平台监控配置文件，目前仅有vsphere
     *
     * @param vendor 云平台
     * @throws Exception 创建telegraf配置文件时异常
     */
    void createConfigFile(CloudVendor vendor) throws Exception;

    /**
     * 删除平台监控配置文件，目前仅有vsphere
     *
     * @param context 当前用户上下文
     * @param vendor  云平台
     */
    void deleteConfigFile(RequestContext context, CloudVendor vendor);

    /**
     * reload telegraf service
     *
     * @return 操作结果
     */
    GeneralResult<?> reload();

}
