package com.bocloud.cms.intf;

import com.bocloud.cms.model.LineChartResult;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * 监控Top数据查询
 *
 * @author zhangyf
 * @since 2019-09-11
 */
public interface TopService {

    /**
     * 宿主机cpu利用率TopN
     *
     * @param vendorId 云平台ID
     * @param limit    个数
     * @return 图表
     */
    LineChartResult topOfHostCpu(Long vendorId, Integer limit);

    /**
     * 宿主机内存利用率TopN
     *
     * @param vendorId 云平台ID
     * @param limit    个数
     * @return 宿主机内存利用率TopN图表
     */
    LineChartResult topOfHostMem(Long vendorId, Integer limit);

    /**
     * 云主机cpu利用率TopN
     *
     * @param context  当前用户上下文
     * @param vendorId 云平台ID
     * @param limit    个数
     * @param request  HttpServletRequest
     * @return 云主机cpu利用率TopN图表
     */
    LineChartResult topOfvmCpu(RequestContext context, Long vendorId, Integer limit, HttpServletRequest request,String vendorType);

    /**
     * 云主机内存利用率TopN
     *
     * @param context  当前用户上下文
     * @param vendorId 云平台ID
     * @param limit    个数
     * @param request  HttpServletRequest
     * @return 云主机内存利用率TopN图表
     */
    LineChartResult topOfvmMem(RequestContext context, Long vendorId, Integer limit, HttpServletRequest request,String vendorType);

}