package com.bocloud.cms.service;

import com.bocloud.cms.intf.AgentService;
import com.bocloud.cms.model.AgentInstallParams;
import com.bocloud.cms.service.internal.WorkerService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

@RequiredArgsConstructor
@Slf4j
@Service
public class AgentServiceImpl implements AgentService {

    private final WorkerService workerService;

    @Override
    public GeneralResult<?> install(AgentInstallParams taskInstallParams, RequestContext context) {
        Map<String, Object> param = new HashMap<>();
        param.put("response", "async_playbook");
        Map<String, Object> module = new HashMap<>();
        module.put("name", "install_bocloud_exporter");
        Map<String, Object> options = new HashMap<>();
        options.put("sudo", true);
        options.put("become", true);
        module.put("options", options);
        module.put("args", new HashMap<>());
        Map<String, Object> target = new HashMap<>();
        target.put("id", taskInstallParams.getId());
        target.put("port", taskInstallParams.getPort());
        target.put("pasd", taskInstallParams.getPassword());
        target.put("host", taskInstallParams.getIp());
        target.put("category", "Linux");
        target.put("rawName", taskInstallParams.getName());
        target.put("user", taskInstallParams.getUsername());
        param.put("module", module);
        param.put("targets", Collections.singletonList(target));
        return workerService.execute(param, taskInstallParams.getId(), context);
    }

}
