package com.bocloud.cms.service;

import com.bocloud.cms.entity.MonitorAllocationRatio;
import com.bocloud.cms.intf.AllocationRatioService;
import com.bocloud.cms.repository.AllocationRatioRepository;
import com.megatron.common.model.GeneralResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author zhangyf
 * @version 1.0
 * @date 2022/2/21 18:01
 * @version 5.5.0
 */
@Service
@Slf4j
public class AllocationRatioServiceImpl implements AllocationRatioService {


    @Autowired
    private AllocationRatioRepository allocationRatioRepository;

    @Override
    public GeneralResult save(MonitorAllocationRatio allocationRatio) {
        try {
            MonitorAllocationRatio ratio = allocationRatioRepository.query(allocationRatio.getVendorId());
            if (null != ratio) {
                this.allocationRatioRepository.delete(allocationRatio.getVendorId());
            }
            this.allocationRatioRepository.save(allocationRatio);
        } catch (Exception e) {
            log.error("create monitor allocation ratio false!");
        }
        return new GeneralResult<>(true, "配置超分比成功");
    }

    @Override
    public GeneralResult query(Long vendorId) {
        try {
            MonitorAllocationRatio allocationRatio = allocationRatioRepository.query(vendorId);
            if (null == allocationRatio) {
                allocationRatio = new MonitorAllocationRatio();
                allocationRatio.setVcpuRatio(1L);
                allocationRatio.setRamRatio(1L);
                allocationRatio.setDiskRatio(1L);
            }
            return new GeneralResult<>(true, allocationRatio, "查询成功");
        } catch (Exception e) {
            log.error("Query monitor allocation ratio false!");
        }
        return new GeneralResult<>(false, "查询失败");
    }

}
