package com.bocloud.cms.service.internal;

import com.bocloud.cmp.boot.model.BoCloudService;
import com.bocloud.cmp.boot.model.BocloudToken;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.framework.core.CurrentService;
import com.megatron.framework.core.Service;
import com.megatron.framework.http.core.HttpMethod;
import com.megatron.framework.http.core.ServiceFactory;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * sms跨服务调用
 *
 * @author fanzhenxi
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
@Component
public class SmsRoleService {

    private final CurrentService currentService;
    private final ServiceFactory serviceFactory;

    public SmsRoleService(CurrentService currentService, ServiceFactory serviceFactory) {
        this.currentService = currentService;
        this.serviceFactory = serviceFactory;
    }

    /**
     * 角色下用户列表
     *
     * @param roleId 角色ID
     * @param pager 分页
     * @return 用户列表
     */
    public GeneralResult<?> listUsers(Long roleId, Pager pager) {
        Map<String, Object> headers = new HashMap<>(2);
        headers.put(BocloudToken.INTERNAL_TOKEN, currentService.getToken());
        return serviceFactory.build(Service.create(BoCloudService.SMS.getName()), "/v1/roles/" + roleId + "/users",
                HttpMethod.GET, headers, pager.toMap()).invoke();
    }
}
