package com.bocloud.cms.service.internal;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.boot.model.BoCloudService;
import com.bocloud.cmp.boot.model.BocloudToken;
import com.bocloud.sms.entity.User;
import com.megatron.common.model.GeneralResult;
import com.megatron.framework.core.CurrentService;
import com.megatron.framework.core.Service;
import com.megatron.framework.http.core.HttpMethod;
import com.megatron.framework.http.core.ServiceFactory;
import com.megatron.framework.http.model.RemoteService;
import org.springframework.stereotype.Component;
import org.springframework.util.Assert;

import java.util.HashMap;
import java.util.Map;

/**
 * @author fanzx
 * @date 2021/09/18
 */
@Component
public class SmsUserService {

    private final CurrentService currentService;
    private final ServiceFactory serviceFactory;

    public SmsUserService(CurrentService currentService, ServiceFactory serviceFactory) {
        this.currentService = currentService;
        this.serviceFactory = serviceFactory;
    }

    /**
     * 用户详情
     *
     * @param id 用户ID
     * @return 用户详情
     */
    public GeneralResult<User> detail(Long id) {
        Map<String, Object> headers = new HashMap<>(2);
        headers.put(BocloudToken.INTERNAL_TOKEN, currentService.getToken());
        RemoteService remoteService = serviceFactory.build(Service.create(BoCloudService.SMS.getName()),
                "/v1/users/" + id, HttpMethod.GET, headers, null);
        GeneralResult<?> result = remoteService.invoke();
        String data = JSONObject.toJSONString(result.getData());
        return new GeneralResult<>(result.isSuccess(), JSONObject.parseObject(data, User.class), "success");
    }

}
