package com.bocloud.cms.service.internal.xsky;

import com.bocloud.cmp.boot.model.BoCloudService;
import com.bocloud.cmp.boot.model.BocloudToken;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.framework.core.CurrentService;
import com.megatron.framework.core.Service;
import com.megatron.framework.http.core.HttpMethod;
import com.megatron.framework.http.core.ServiceFactory;
import org.springframework.stereotype.Component;
import org.springframework.util.Assert;

import java.util.HashMap;
import java.util.Map;

/**
 * 存储池
 *
 * @author zhangyf
 * @since 2020-07-08
 */
@Component
public class XskyVolumePoolService {

    private final ServiceFactory serviceFactory;
    private final CurrentService currentService;

    public XskyVolumePoolService(ServiceFactory serviceFactory, CurrentService currentService) {
        this.serviceFactory = serviceFactory;
        this.currentService = currentService;
    }

    public GeneralResult list(Pager pager) {
        Map<String, Object> headers = new HashMap<>(2);
        headers.put(BocloudToken.INTERNAL_TOKEN, currentService.getToken());
        GeneralResult result = serviceFactory.build(Service.create(BoCloudService.CMP.getName()), "/plugins/xsky/v1/storages/pools", HttpMethod.GET,
                headers, pager.toMap()).invoke();
        Assert.isTrue(result.isSuccess(), result.getMessage());
        return result;
    }
}
